package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.SignedBatchList;
import digital.laboratory.platform.reagent.entity.SignedContent;
import digital.laboratory.platform.reagent.mapper.SignedBatchListMapper;
import digital.laboratory.platform.reagent.service.SignedBatchListService;
import digital.laboratory.platform.reagent.service.SignedContentService;
import digital.laboratory.platform.reagent.vo.SignedBatchListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 签收批次明细服务实现类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 签收批次明细 服务实现类
 */
@Service
public class SignedBatchListServiceImpl extends ServiceImpl<SignedBatchListMapper, SignedBatchList> implements SignedBatchListService {

    @Autowired

    private SignedContentService signedContentService;


    @Override
    public List<SignedBatchListVO> getSignedBatchListVOList(String signedContentId) {

            List<SignedBatchListVO> signedBatchListVOList = baseMapper.getSignedBatchListVOList(signedContentId);

        return signedBatchListVOList;
    }
}
