package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.reagent.entity.SignedBatchList;
import digital.laboratory.platform.reagent.vo.SignedBatchListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 签收批次明细 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 签收批次明细 Mapper 类
 */
@Mapper
public interface SignedBatchListMapper extends BaseMapper<SignedBatchList> {

    List<SignedBatchListVO> getSignedBatchListVOList(String signedContentId);

}
