package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.ProvideServicesOrSupplies;
import digital.laboratory.platform.reagent.mapper.ProvideServicesOrSuppliesMapper;
import digital.laboratory.platform.reagent.service.ProvideServicesOrSuppliesService;
import digital.laboratory.platform.reagent.vo.ProvideServicesOrSuppliesVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 提供服务或供应品服务实现类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 提供服务或供应品 服务实现类
 */
@Service
public class ProvideServicesOrSuppliesServiceImpl extends ServiceImpl<ProvideServicesOrSuppliesMapper, ProvideServicesOrSupplies> implements ProvideServicesOrSuppliesService {
    @Override
    public List<ProvideServicesOrSuppliesVO> getProvideServicesOrSuppliesVOList(String provideServicesOrSuppliesId) {

        List<ProvideServicesOrSuppliesVO> provideServicesOrSuppliesVOList = baseMapper.getProvideServicesOrSuppliesVOList(provideServicesOrSuppliesId);

        return provideServicesOrSuppliesVOList;
    }
}
