package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.DecentralizeDetails;
import digital.laboratory.platform.reagent.entity.DecentralizedRequest;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.w3c.dom.stylesheets.LinkStyle;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DecentralizedRequestVO extends DecentralizedRequest {

    private String threeLevelAuditName;
    private String secondaryAuditorName;
    private String primaryAuditorName;
    private String applicantName;
    private String approverName;
    private String ogrName;
    private List<DecentralizeDetailsVO> decentralizeDetailsVOList;
}
